Package relaxngcc.builder

## Class NameTestBuilder

- java.lang.Object
- - relaxngcc.builder.NameTestBuilder

- All Implemented Interfaces:
    `NameClassFunction`

      public class NameTestBuilder
      extends java.lang.Object
      implements NameClassFunction

  Generates a clause that tests the membership of a NameClass.

  This function returns `CDExpression`.

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameTestBuilder​(CDExpression uriVar, CDExpression localNameVar)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `anyName​(NameClass except)` |
    `static CDExpression` | `build​(NameClass nc, CDExpression uri, CDExpression local)` |
    `java.lang.Object` | `choice​(NameClass nc1, NameClass nc2)` |
    `java.lang.Object` | `name​(java.lang.String ns, java.lang.String local)` |
    `java.lang.Object` | `nsName​(java.lang.String ns, NameClass except)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameTestBuilder

          public NameTestBuilder​(CDExpression uriVar,
                                 CDExpression localNameVar)

  - ### Method Detail

    - #### build

          public static CDExpression build​(NameClass nc,
                                           CDExpression uri,
                                           CDExpression local)

    - #### choice

          public java.lang.Object choice​(NameClass nc1,
                                         NameClass nc2)

      Specified by:
        `choice` in interface `NameClassFunction`

    - #### nsName

          public java.lang.Object nsName​(java.lang.String ns,
                                         NameClass except)

      Specified by:
        `nsName` in interface `NameClassFunction`

    - #### anyName

          public java.lang.Object anyName​(NameClass except)

      Specified by:
        `anyName` in interface `NameClassFunction`

    - #### name

          public java.lang.Object name​(java.lang.String ns,
                                       java.lang.String local)

      Specified by:
        `name` in interface `NameClassFunction`